package com.njzscloud.supervisory.route.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.supervisory.route.pojo.RouteDetailEntity;
import com.njzscloud.supervisory.route.pojo.RouteEntity;

import java.util.List;

/**
 * 路线详情管理
 */
public interface RouteDetailService extends IService<RouteDetailEntity> {

    /**
     * 新增
     */
    void add(RouteDetailEntity detailEntity);

    /**
     * 修改
     */
    void modify(RouteDetailEntity detailEntity);

    /**
     * 删除
     */
    void del(List<Long> ids);

    /**
     * 详情
     */
    RouteDetailEntity detail(Long id);

    /**
     * 分页查询
     */
    PageResult<RouteDetailEntity> paging(PageParam pageParam, RouteDetailEntity detailEntity);

}

